Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.filter.authorization
Class R01FOrgNodeCtx

    java.lang.Object
      com.ejie.r01f.servlet.filter.authorization.R01FOrgNodeCtx

All Implemented Interfaces:
  java.io.Serializable

public class R01FOrgNodeCtx
extends java.lang.Object
implements java.io.Serializable

Nodo de la jerarquía organizativa a la que pertenece un usuario

See Also:
  Serialized Form

Constructor Summary
`R01FOrgNodeCtx()` Constructor vacio
`R01FOrgNodeCtx(java.lang.String newOid, java.lang.String newNombreES, java.lang.String newNombreEU, R01FOrgNodeCtx newSupraOrg)` Constructor

Method Summary
`StringBilingue` | `getName()` Devuelve el nombre del nodo de la organizacion
`java.lang.String` | `getOID()` Devuelve el oid del nodo de la organizacion
`java.util.Iterator` | `getSubOrgsIterator()` Devuelve un iterador sobre los nodos inferiores de la estructura organizativa
`R01FOrgNodeCtx` | `getSupraOrg()` Devuelve el nodo superior de la estructura organizativa
`boolean` | `isSubOrgOf(java.lang.String orgOID)` Comprueba si el nodo actual es una sub-organizacion (hija) de otra organización cuyo oid se pasa
`boolean` | `isSupraOrgOf(java.lang.String orgOID)` Comprueba si el nodo actual es supra-organizacion (padre) de otra organizacion cuyo oid se pasa
`boolean` | `isValid()` Comprueba si el objeto es valido

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### R01FOrgNodeCtx

    public R01FOrgNodeCtx()

  Constructor vacio

### R01FOrgNodeCtx

    public R01FOrgNodeCtx(java.lang.String newOid,
                          java.lang.String newNombreES,
                          java.lang.String newNombreEU,
                          R01FOrgNodeCtx newSupraOrg)

  Constructor

Method Detail

### getOID

    public java.lang.String getOID()

  Devuelve el oid del nodo de la organizacion

### getName

    public StringBilingue getName()

  Devuelve el nombre del nodo de la organizacion

### getSupraOrg

    public R01FOrgNodeCtx getSupraOrg()

  Devuelve el nodo superior de la estructura organizativa

### getSubOrgsIterator

    public java.util.Iterator getSubOrgsIterator()

  Devuelve un iterador sobre los nodos inferiores de la estructura organizativa

### isSupraOrgOf

    public boolean isSupraOrgOf(java.lang.String orgOID)

  Comprueba si el nodo actual es supra-organizacion (padre) de otra organizacion cuyo oid se pasa

### isSubOrgOf

    public boolean isSubOrgOf(java.lang.String orgOID)

  Comprueba si el nodo actual es una sub-organizacion (hija) de otra organización cuyo oid se pasa

### isValid

    public boolean isValid()

  Comprueba si el objeto es valido

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD